Page MenuHomePhabricator

Narayam is not working with hotcat, reftoolbar etc.
Closed, ResolvedPublic

Description

Earlier, Narayam was supporting text input boxes for hotcat and reftoolbar gadgets for wikipedia. This is not working at present.

Tested with ml.wikipedia and ml.wiktionary of WMF.


Version: unspecified
Severity: normal

Details

Reference
bz41766

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:12 AM
bzimport set Reference to bz41766.
Vssun created this task.Nov 4 2012, 2:24 PM

sunil: Is there an exact testpage / could you provide steps to reproduce?
Why do you think that it "crashed"? Do you refer to a software crash here, or do you just mean that it is not working?

Vssun added a comment.Nov 4 2012, 5:21 PM

It is not at all working on text input boxes of hotcat and reftoolbar. You may choose a better subjectline if it is confusing.

I choosed the word "crash" because it was working well earlier.

Tested on ml.wikipedia, other Narayam enabled projects. It doesn't crash, it
doesn't seem to work at all. Control-M closes the HotCat text field as opposed
to enabling / disabling Narayam when trying to add a new category using HotCat

Narayam does not work on UploadWizard textboxes and possibly more places.

*** Bug 41809 has been marked as a duplicate of this bug. ***

  • Bug 41897 has been marked as a duplicate of this bug. ***

Siebrand: Is an I18N developer looking at this problem?

(In reply to comment #7)

Siebrand: Is an I18N developer looking at this problem?

No.

Vssun added a comment.Nov 21 2012, 4:12 PM

How this became an enhancement? This feature was available earlier.

(In reply to comment #8)

(In reply to comment #7)

Siebrand: Is an I18N developer looking at this problem?

No.

Did you drop Narayam support?

(This is surely not an enhancement so resetting priority to Normal)

Doesn't work in Upload Wizard fields also. Please revert any update cause this.

Along with these it doesn't work in the "Add link" option from the standard edit toolbar.

I think it is not working in each of the fields which was created by JavaScripts.

Updated patch iin gerrit I1d4133d3

Patch set 36381 merged.

Deployed by Niklas a minute ago, tested on ml.wikt with ref toolbar, verified working.